This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 223598 - Review Request: liborigin - Library for reading OriginLab OPJ project files
Review Request: liborigin - Library for reading OriginLab OPJ project files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-20 11:21 EST by Chitlesh GOORAH
Modified: 2010-07-19 00:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-04 14:16:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2007-01-20 11:21:18 EST
Spec URL: http://tux.u-strasbg.fr/~chit/RPMS/liborigin.spec
SRPM URL: http://tux.u-strasbg.fr/~chit/RPMS/liborigin-20070115-1.src.rpm
Description:
A library for reading OriginLab OPJ project files.
Comment 1 Deji Akingunola 2007-01-20 18:53:53 EST
Hi,

This package (its Makefile actually) needs to be patched up for rpmbuild to work
properly on x86_64. It currently hard-codes the library path to /usr/lib.
Also, can you make it use the rpm's %optflags for the CFLAGS?

An Aside: What a version number ;), can't upstream use sth simple as 1.0  
Comment 2 Chitlesh GOORAH 2007-01-27 10:59:22 EST
With the $RPM_OPT_FLAGS I'm having these:
g++ -c -pipe -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -Wall -W -O2 -fPIC OPJFile.cpp -o OPJFile.o
OPJFile.cpp: In member function 'int OPJFile::Parse()':
OPJFile.cpp:76: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:109: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:116: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:123: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:126: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:129: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:139: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:147: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:156: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:165: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:201: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:207: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:215: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:216: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:254: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:269: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:272: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:286: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:288: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:289: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:298: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:305: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:321: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:323: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:324: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:326: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:328: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:382: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:392: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:408: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:430: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:439: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:475: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
OPJFile.cpp:478: warning: ignoring return value of 'size_t fread(void*, size_t,
size_t, FILE*)', declared with attribute warn_unused_result
g++ -shared -Wl,-soname,liborigin.so.0 -o liborigin.so.0.0.1 OPJFile.o

Added fix for hardcoded path of %{_libdir}

Updated
Spec URL: http://tux.u-strasbg.fr/~chit/RPMS/liborigin.spec
SRPM URL: http://tux.u-strasbg.fr/~chit/RPMS/liborigin-20070115-2.src.rpm
Comment 3 Michael Schwendt 2007-01-28 11:12:34 EST
> %{_includedir}/%{name}/OPJFile.h

The directory itself is not included.
Comment 4 Deji Akingunola 2007-01-28 19:17:48 EST
GOOD:
* Rpmlint silent on both srpm and binaries (No documentation warning on the
-devel subpackages, which can be ignored.
* Naming meets the guildlines
* License - GPL
* Source file matches upstream 
(md5sum: 5ed1c7c0955f935d3b4e45fb25e1d7fc  liborigin-20070115.tgz)
* Built OK (in rawhide x86_64 mock)
* Installs OK and worksforme

Please fix the directory listing as Michael pointed out above, and then I can
approve the package. 
Comment 6 Deji Akingunola 2007-01-30 11:22:11 EST
APPROVED, with review highlights in comment #4 and update in comment #5
Comment 7 Chitlesh GOORAH 2010-07-18 06:32:55 EDT
Package Change Request
======================
Package Name: liborigin
Short Description:  Library for reading OriginLab OPJ project files
New Branches: EL-5 EL-6
Owners:chitlesh
Comment 8 Kevin Fenzi 2010-07-19 00:34:10 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.